Fast Preview (Nvidia OptiX) Denoiser Errors





NOTE: The first thing to be done in case of any issues with the Fast Preview Denoiser (Nvidia OptiX) is graphics card driver re-installation:

  1. Go to https://www.nvidia.com/, find the latest driver for your graphics card, and download it
  2. Install the newest driver 
  3. Restart your computer
  4. Check if the issue persists


If the above solution does not help, please try the ones listed below, which correspond to specific denoiser errors:



1. Failed to initialize OptiX denoiser.


This error appears if the Nvidia AI denoiser library cannot be found or is missing. It can be caused by one of the following:


  1. The libraries required for the OptiX denoiser were not installed. 
    Solution: Run the installer again and select the "Custom" install type. On the next screen, make sure the checkbox next to "NVIDIA AI Denoiser" is checked.
    Alternatively, you can download the AI denoiser package manually and then install it along with Corona Renderer. See: How to install the nVidia AI Denoiser in offline mode?

  2. You do not have a supported Nvidia GPU installed in the system. 
    Please note that the Nvidia AI denoiser only works on Nvidia GPUs starting with the Kepler GPU architecture (GTX 6xx series and newer).




2. Failed to initialize NVIDIA AI denoiser: Runtime version is different from expected. Found 5.1.0, expected 5.1.2


Corona Renderer uses the newest version of the OptiX libraries from Nvidia - version 5.1.2. This version is automatically downloaded when installing Corona Renderer, and also available here.


However, the library files have the same names as the older version 5.1.0 which is distributed with some other renderers and the older libraries can happen to be loaded with those plugins.


The most common cause for this error is the presence of Autodesk’s Arnold renderer which can be installed together with 3ds max 2019 by the 3ds Max installer, and which uses an older version of the OptiX libraries.


This error can be corrected by preventing Arnold’s version of the libraries from loading:

  1. Go to C:\ProgramData\Autodesk\ApplicationPlugins\MAXtoA (you can copy and paste the path into Explorer)
  2. Find and delete or move out of that folder the following files:
    • Optix.51.dll
    • Optix_denoiser.51.dll


Note that the removal of these files from the folder will make OptiX denoising unavailable in Arnold. You should always keep backups!


If you do not have Arnold installed and you are seeing the runtime version error, you will need to uninstall any other renderers that use OptiX and if that does not help or you have no such renderers installed, please contact us.